TypeScript
import { Livepeer } from "livepeer";
const livepeer = new Livepeer({
apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await livepeer.accessControl.getAll();
// Handle the result
console.log(result);
}
run();package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.AccessControl.GetAll(ctx)
if err != nil {
log.Fatal(err)
}
if res.Data != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.access_control.get_all()
if res.data is not None:
# handle response
passcurl --request GET \
--url https://livepeer.studio/api/access-control/signing-key \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://livepeer.studio/api/access-control/signing-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"publicKey": "<string>",
"id": "78df0075-b5f3-4683-a618-1086faca35dc",
"name": "key1",
"userId": "78df0075-b5f3-4683-a618-1086faca35dc",
"createdAt": 1587667174725,
"lastSeen": 1587667174725,
"disabled": false,
"projectId": "aac12556-4d65-4d34-9fb"
}
]{
"errors": [
[
"id not provided",
"Account not found"
]
]
}Access control
Retrieve signing keys
GET
/
access-control
/
signing-key
TypeScript
import { Livepeer } from "livepeer";
const livepeer = new Livepeer({
apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await livepeer.accessControl.getAll();
// Handle the result
console.log(result);
}
run();package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.AccessControl.GetAll(ctx)
if err != nil {
log.Fatal(err)
}
if res.Data != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.access_control.get_all()
if res.data is not None:
# handle response
passAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Example:
"78df0075-b5f3-4683-a618-1086faca35dc"
Name of the signing key
Example:
"key1"
Example:
"78df0075-b5f3-4683-a618-1086faca35dc"
Timestamp (in milliseconds) at which the signing-key was created
Example:
1587667174725
Timestamp (in milliseconds) at which the signing-key was last used
Example:
1587667174725
Disable the signing key to allow rotation safely
Example:
false
The ID of the project
Example:
"aac12556-4d65-4d34-9fb"
Last modified on March 18, 2026
Was this page helpful?
⌘I